Subject: bug#9731: 24.0.90; buffer.c assertion failure in temacs.exe

From: Christoph Scholtes <[email-masked]>
Date: Tue, 11 Oct 2011 20:18:13 -0600

Compiling Emacs trunk r106057 on Windows 7/64bit. 

For some reason the below error does not seem to happen on `ming32-make
bootstrap'. My own nightly build with `make bootstrap' built fine.

`mingw32-make' yields the following error:

gcc -o oo/i386/temacs.bin  -gdwarf-2 -g3  -mno-cygwin -LD:/devel/emacs/gnutls-2.
10.5-x86/lib -Wl,-stack,0x00800000 -Wl,-heap,0x00100000 -Wl,-image-base,0x010000
00 -Wl,-subsystem,console -Wl,-entry,__start -Wl,-Map,oo/i386/temacs.map oo/i386
/firstfile.o oo/i386/emacs.res oo/i386/temacs0.a oo/i386/temacs1.a oo/i386/temac
s2.a oo/i386/lastfile.a ../lib/oo/i386/libgnu.a -lwinmm -ladvapi32 -lgdi32 -lcom
dlg32 -luser32 -lmpr -lshell32 -lwinspool -lole32 -lcomctl32 -lusp10
Warning: .drectve `-aligncomm:"_pfnCheckSumMappedFile",2 ' unrecognized
Warning: .drectve `-aligncomm:"_data_section",2 ' unrecognized
Warning: .drectve `-aligncomm:"_bss_section",2 ' unrecognized
Warning: .drectve `-aligncomm:"_bss_section_static",2 ' unrecognized
Warning: .drectve `-aligncomm:"_heap_section",2' unrecognized
Warning: .drectve `-aligncomm:"___malloc_hook",2 ' unrecognized
Warning: .drectve `-aligncomm:"__heapbase",2 ' unrecognized
Warning: .drectve `-aligncomm:"__heapinfo",2 ' unrecognized
Warning: .drectve `-aligncomm:"__heapindex",2 ' unrecognized
Warning: .drectve `-aligncomm:"__heaplimit",2 ' unrecognized
Warning: .drectve `-aligncomm:"__fraghead",5 ' unrecognized
Warning: .drectve `-aligncomm:"__chunks_used",2 ' unrecognized
Warning: .drectve `-aligncomm:"__bytes_used",2 ' unrecognized
Warning: .drectve `-aligncomm:"__chunks_free",2 ' unrecognized
Warning: .drectve `-aligncomm:"__bytes_free",2 ' unrecognized
Warning: .drectve `-aligncomm:"___malloc_initialized",2 ' unrecognized
Warning: .drectve `-aligncomm:"___malloc_extra_blocks",2 ' unrecognized
Warning: .drectve `-aligncomm:"___malloc_initialize_hook",2 ' unrecognized
Warning: .drectve `-aligncomm:"___after_morecore_hook",2 ' unrecognized
Warning: .drectve `-aligncomm:"___free_hook",2 ' unrecognized
Warning: .drectve `-aligncomm:"___realloc_hook",2 ' unrecognized
Warning: .drectve `-aligncomm:"___memalign_hook",2' unrecognized
"../nt/oo/i386/addsection" "oo/i386/temacs.bin" "oo/i386/temacs.exe" EMHEAP 21
Dumping from oo/i386/temacs.bin
          to oo/i386/temacs.exe
"./oo/i386/temacs.exe" -batch -l loadup dump

buffer.c:4869: Emacs fatal error: assertion failed: (((struct vectorlike_header
*) ((intptr_t) ((Vbuffer_defaults) & ~((((int) 1) << 3) - 1))))->size & (PSEUDOV
ECTOR_FLAG | PVEC_TYPE_MASK)) == (PSEUDOVECTOR_FLAG | (PVEC_BUFFER))

Backtrace from gdb:

#0  0x769c280d in KERNELBASE!DeleteAce ()
   from C:\Windows\syswow64\KernelBase.dll
#1  0x012b6444 in w32_abort () at w32fns.c:7196
#2  0x010424ed in die (
    msg=0x1533f84 "assertion failed: (((struct vectorlike_header *) ((intptr_t)
((Vbuffer_defaults) & ~((((int) 1) << 3) - 1))))->size & (PSEUDOVECTOR_FLAG | PV
EC_TYPE_MASK)) == (PSEUDOVECTOR_FLAG | (PVEC_BUFFER))",
    file=0x152b5a8 "buffer.c", line=4869) at alloc.c:6261
#3  0x010bb65b in init_buffer_once () at buffer.c:4869
#4  0x01002378 in main (argc=5, argv=0xcf2ba8) at emacs.c:1260

In GNU Emacs 24.0.90.1 (i386-mingw-nt6.1.7601)
 of 2011-10-11 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.5) --no-opt --cflags -I"C:/Program Files (x86)/GnuWin32/include" -ID:/devel/emacs/libXpm-3.5.8/include -ID:/devel/emacs/libXpm-3.5.8/src -ID:/devel/emacs/gnutls-2.10.5-x86/include --ldflags -LD:/devel/emacs/gnutls-2.10.5-x86/lib'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  paredit-mode: t
  my-keys-minor-mode: t
  erc-autojoin-mode: t
  erc-track-mode: t
  erc-match-mode: t
  erc-pcomplete-mode: t
  erc-stamp-mode: t
  recentf-mode: t
  desktop-save-mode: t
  autopair-mode: t
  autopair-global-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
M-x r e p o r t - e m <tab> <return>

Recent messages:
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/custom-functions.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/mail-config.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/gnus-config.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/erc-config.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/org-config.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/keybindings.el (source)...done
Loading c:/Users/Christoph/AppData/Roaming/.emacs.d/init-custom.el (source)...done
Wrote c:/Users/Christoph/AppData/Roaming/.emacs.d/data/.emacs.desktop.lock
Desktop: 0 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-cite mail-extr gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime password-cache dig mailcap emacsbug
paredit my-zenburn-theme erc-join erc-track erc-match erc-pcomplete
erc-stamp erc-goodies erc erc-backend erc-compat thingatpt ispell
bookmark+ bookmark+-key dired-x dired bookmark+-1 nnir gnus-sum nnoo
gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int
gnus-range message format-spec rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus-win gnus gnus-ems nnheader gnus-util
mail-utils mm-util mail-prsvr bookmark+-bmu help-mode view bookmark+-lit
pp+ bookmark+-mac bookmark pp recentf tree-widget wid-edit midnight
desktop ibuffer uniquify autopair google-c-style cc-styles cc-align
cc-engine cc-vars cc-defs browse-kill-ring+ browse-kill-ring second-sel
ido yasnippet dropdown-list derived edmacro kmacro assoc cl org-habit
org-agenda org byte-opt warnings bytecomp byte-compile cconv macroexp
ob-emacs-lisp ob-tangle ob-ref ob-lob ob-table org-footnote org-src
ob-comint ob-keys ob ob-eval org-pcomplete pcomplete comint ring
org-list org-faces org-compat org-entities org-macs noutline outline
easy-mmode regexp-opt cal-menu easymenu calendar cal-loaddefs
org-install server advice help-fns advice-preload debbugs-autoloads
package tabulated-list autorevert delsel time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win
w32-vars tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer button
faces cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process multi-tty emacs)